### Function

# Gio dbus_generate_guid

since: 2.26

#### Declaration

    gchar*
    g_dbus_generate_guid (
      void
    )

#### Description

Generate a D-Bus GUID that can be used with e.g. g_dbus_connection_new().

See the D-Bus specification regarding what strings are valid D-Bus GUIDs. The specification refers to these as ‘UUIDs’ whereas GLib (for historical reasons) refers to them as ‘GUIDs’. The terms are interchangeable.

Note that D-Bus GUIDs do not follow RFC 4122.

Available since: 2.26

#### Return value

Type: `gchar*`

A valid D-Bus GUID. Free with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.